Bug 504206 - preupgrade - add jumpstart file option that can be run against preupgrade.
preupgrade - add jumpstart file option that can be run against preupgrade.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-04 15:06 EDT by Traxtopel
Modified: 2014-01-21 18:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-05 11:16:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Traxtopel 2009-06-04 15:06:45 EDT
Description of problem:

For enterprise upgrades we currenly upgrade Fedora using a script, we would like to use preupgrade however it does not cover all our needs. Would it be possible to add a sort of kickstart file option - call it jumpstart to preupgrade to handle any additional requirements people require.

i.e. file could contain
%pre & %post would be part of the "jumpstart" file.

So when preupgrade is run
preupgrade --jumpstart=/tmp/ks.cfg

%pre would be run prior to preugrade running.

%post would be run after upgrade has completed.
Comment 1 Will Woods 2009-06-05 11:16:25 EDT
This would be trivial to do without changing preupgrade at all:

preupgrade-cli [...]
cat /your/custom/ks.cfg >> /boot/upgrade/ks.cfg
reboot
Comment 2 Traxtopel 2009-06-05 13:09:04 EDT
Thanks will test.

Note You need to log in before you can comment on or make changes to this bug.